Benutzer-Werkzeuge

Webseiten-Werkzeuge


oscpd

OCSP-Daemon

Unter Debian gibt es anscheinend kein entsprechendes Paket.

Es gibt das Projekt https://www.openca.org/, dort ist auch ein OCSP-Daemon (OCSP Responder) Bestandteil.

Voraussetzungen*

  • libldap-dev, ist ein Debian Paket. Voraussetzung um LibPKI zu erstellen
  • LibPKI: libpki-0.8.8.tar.gz

Erstellen:

wget https://sourceforge.net/projects/openca/files/libpki/releases/v0.8.8/sources/libpki-0.8.8.tar.gz
tar xzf libpki-0.8.8.tar.gz
cd libpki-0.8.8
./configure
make
sudo make install

wget https://sourceforge.net/projects/openca/files/openca-ocspd/releases/v3.1.1/sources/openca-ocspd-3.1.1.tar.gz
cd openca-ocspd-3.1.1
./configure --prefix=/usr/local
make
sudo make install

Hinweis: Das enthaltene Init-Script entspricht nicht den Debian-Vorgaben. Eine Anpassung ist notwendig.

oscpd.txt · Zuletzt geändert: 16.12.2016 11:34 von thooge